Bug 906411 - Review Request: mup - a music notation and printing program
Review Request: mup - a music notation and printing program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
: 904911 (view as bug list)
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2013-01-31 10:39 EST by Greg Bailey
Modified: 2013-11-25 19:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 904911
Environment:
Last Closed: 2013-03-26 13:22:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tcallawa: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Greg Bailey 2013-01-31 10:39:43 EST
+++ This bug was initially created as a clone of Bug #904911 +++

mup is a music notation and printing program with both GUI and CLI interfaces for authoring and printing music notation.

rpmlint /home/bsjones/rpmbuild/RPMS/x86_64/mup-6.1-1.x86_64.rpm /home/bsjones/rpmbuild/SRPMS/mup-6.1-1.src.rpm
mup.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

SRPM: http://bsjones.fedorapeople.org/reviews/mup-6.1-1.src.rpm
SPEC: http://bsjones.fedorapeople.org/reviews/mup.spec

--- Additional comment from Greg Bailey on 2013-01-28 15:58:21 EST ---

I've made a few changes to the .spec file to move things into proper directories for FHS compliance, and created a .desktop file so that mupmate shows up in the desktop menus.

rpmlint SPECS/mup.spec RPMS/x86_64/mup* SRPMS/mup-6.1-2.fc18.src.rpm 
mup.x86_64: W: invalid-license Arkkra Mup License
mup-debuginfo.x86_64: W: invalid-license Arkkra Mup License
mup.src: W: invalid-license Arkkra Mup License
3 packages and 1 specfiles checked; 0 errors, 3 warnings.

I put "Arkkra Mup License" because the license, while very similar to one of the BSD variants, doesn't match exactly.

SRPM: http://lxpro.com/mup/mup-6.1-2.fc18.src.rpm
SPEC: http://lxpro.com/mup/mup.spec

--- Additional comment from Greg Bailey on 2013-01-28 18:38:39 EST ---

According to:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

I get bonus points :-) for posting a link to a successful koji build, so here goes:

f19:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4909766

epel6:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4909777

--- Additional comment from Susi Lehtola on 2013-01-31 09:04:16 EST ---

The license http://www.arkkra.com/doc/license.html looks like 2 clause BSD but with the addition

 3. Any additions, deletions, or changes to the original files
 must be clearly indicated in accompanying documentation.
 including the reasons for the changes,
 and the names of those who made the modifications

Blocked FE-LEGAL.

**

Greg: please don't hijack other people's review requests. Comments #2 and #3 might lead one to believe you are the submitter.

--- Additional comment from Brendan Jones on 2013-01-31 09:18:41 EST ---

Susi, I have spoken to Greg, he is going to make an new bug submission. He is upstream.

All the headers seem to be BSD, there license file seems to be derivative of BSD. Can you guys check to make sure?

--- Additional comment from Susi Lehtola on 2013-01-31 09:23:13 EST ---

(In reply to comment #4)
> All the headers seem to be BSD, there license file seems to be derivative of
> BSD. Can you guys check to make sure?

Let's wait for spot. This should be a no-brainer.

--- Additional comment from Brendan Jones on 2013-01-31 09:27:34 EST ---

Ok cool.

Another comment, their license looks FOSS to me, so I am unsure of the FE-LEGAL block. Maybe it could be considered under "Good licenses"
Comment 1 Brendan Jones 2013-01-31 12:08:57 EST
*** Bug 904911 has been marked as a duplicate of this bug. ***
Comment 2 Tom "spot" Callaway 2013-02-15 15:23:08 EST
Sorry this took so long. This license is Free, but GPL-Incompatible. Use:

License: Mup

Lifting FE-Legal.
Comment 4 Greg Bailey 2013-03-12 13:16:03 EDT
I'm a first time submitter for a new package; I think I followed the requisite steps to adding a new package; am I correct in assuming that I'm at the mercy of finding someone to sponsor me and/or review this package?  Thanks!
Comment 5 Tom "spot" Callaway 2013-03-21 15:19:24 EDT
A few quick things before I review and sponsor:

This spec file has a lot of old RPM anachronisms that aren't used anymore in Fedora, specifically:

* BuildRoot does not need to be set (it is ignored)
* rm -rf %{buildroot} does not need to be run at the beginning of %install (this is done automatically)
* There is no need to define a %clean section if you're just putting in rm -rf %{buildroot}, this is the automatic default, just remove the %clean section entirely.
* %defattr(-,root,root) is the default, you do not need to state it.

Unless you're planning on maintaining mup in EPEL, please remove all these items.

I also think it is a lot cleaner for that mupmate.desktop file to be an actual Source1 file, rather than written out from the spec. Just do:

Source1: mupmate.desktop

then

mkdir -p %{buildroot}/%{_datadir}/applications
cp %{SOURCE1} %{buildroot}/%{_datadir}/applications/
desktop-file-validate %{buildroot}/%{_datadir}/applications/mupmate.desktop

Everything else seems okay, fixup those issues and i'll finish off the final review and sponsor you.
Comment 6 Greg Bailey 2013-03-25 02:03:01 EDT
(In reply to comment #5)
> 
> Unless you're planning on maintaining mup in EPEL, please remove all these
> items.

I use Red Hat Enterprise and CentOS distributions pretty extensively, so I'm very keen to support EPEL.

> 
> I also think it is a lot cleaner for that mupmate.desktop file to be an
> actual Source1 file, rather than written out from the spec.

Makes sense.  I've uploaded a new SPEC file and SRPM with that change:

SRPM:  http://lxpro.com/mup-20130324/mup-6.1-4.el5.centos.src.rpm
SPEC:  http://lxpro.com/mup-20130324/mup.spec

koji epel-5:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5167351

koji epel-6:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5167355

koji f19:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5167359


> 
> Everything else seems okay, fixup those issues and i'll finish off the final
> review and sponsor you.

Thank you very much for your time!
Comment 7 Tom "spot" Callaway 2013-03-25 09:57:10 EDT
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (Mup) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on f18 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime 

APPROVED.

So, you're now at this step:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join#Get_Sponsored

Just tell me what your Fedora Account System (FAS) username is and I'll sponsor you.
Comment 8 Greg Bailey 2013-03-25 13:07:35 EDT
(In reply to comment #7)
> 
> Just tell me what your Fedora Account System (FAS) username is and I'll
> sponsor you.

Hi, my FAS username is "gbailey"; thanks!
Comment 9 Tom "spot" Callaway 2013-03-25 13:41:24 EDT
You're now sponsored. Go forth and package! If you have questions, feel free to email me.
Comment 10 Greg Bailey 2013-03-25 14:19:49 EDT
New Package SCM Request
=======================
Package Name: mup
Short Description: a music notation and printing program
Owners: gbailey
Branches: f17 f18 f19 el5 el6
InitialCC:
Comment 11 Jon Ciesla 2013-03-25 14:39:03 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-03-25 18:46:11 EDT
mup-6.1-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mup-6.1-4.el5
Comment 13 Fedora Update System 2013-03-25 18:48:24 EDT
mup-6.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mup-6.1-4.el6
Comment 14 Fedora Update System 2013-03-25 18:50:10 EDT
mup-6.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mup-6.1-4.fc17
Comment 15 Fedora Update System 2013-03-25 18:51:31 EDT
mup-6.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mup-6.1-4.fc18
Comment 16 Fedora Update System 2013-04-04 19:57:48 EDT
mup-6.1-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2013-04-04 20:02:42 EDT
mup-6.1-4.fc18 has been pushed to the Fedora 18 stable repository.
Comment 18 Fedora Update System 2013-04-10 18:14:48 EDT
mup-6.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 19 Fedora Update System 2013-04-10 18:15:05 EDT
mup-6.1-4.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 20 Greg Bailey 2013-11-25 15:15:14 EST
Package Change Request
======================
Package Name: mup
New Branches: f20
Owners: gbailey
Comment 21 Christopher Meng 2013-11-25 19:26:28 EST
https://admin.fedoraproject.org/pkgdb/acls/name/mup

Please use --rebase option with fedpkg to rebase the branches.

Note You need to log in before you can comment on or make changes to this bug.